"use strict";

var api = require("./api");
var auth = require("./auth");
var broadcast = require("./broadcast");
var config = require("./config");
var formatter = require("./formatter")(api);
var memo = require('./auth/memo');
var utils = require("./utils");

var amalgam = {
  api: api,
  auth: auth,
  broadcast: broadcast,
  config: config,
  formatter: formatter,
  memo: memo,
  utils: utils
};

if (typeof window !== "undefined") {
  window.amalgam = amalgam;
}

if (typeof global !== "undefined") {
  global.amalgam = amalgam;
}

exports = module.exports = amalgam;